import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { UuidMappingModel } from '../models/index' 
/**
 * @author auto generate
 * @version 2.0
 * @date 2021-06-03 11:39
 */
interface UuidMappingModelCU extends ConditionUtil<UuidMappingModelCU>{
    ID:FieldUtil<UuidMappingModelCU>;
    TAPDID:FieldUtil<UuidMappingModelCU>;
    PARKID:FieldUtil<UuidMappingModelCU>;
    UUID:FieldUtil<UuidMappingModelCU>;
    CREATETIME:FieldUtil<UuidMappingModelCU>;
}

class UuidMappingModelCUImpl extends ConditionUtilImpl<UuidMappingModelCUImpl> implements UuidMappingModelCU{ 
    newInstance(): UuidMappingModelCUImpl {
        return new UuidMappingModelCUImpl();
    } 
    get ID(): FieldUtil<UuidMappingModelCU>{  
        return new FieldUtil('id','id','', this);
    }
    get TAPDID(): FieldUtil<UuidMappingModelCU>{  
        return new FieldUtil('tapdId','tapdid','tapdId', this);
    }
    get PARKID(): FieldUtil<UuidMappingModelCU>{  
        return new FieldUtil('parkId','parkid','车场id', this);
    }
    get UUID(): FieldUtil<UuidMappingModelCU>{  
        return new FieldUtil('uuid','uuid','uuid', this);
    }
    get CREATETIME(): FieldUtil<UuidMappingModelCU>{  
        return new FieldUtil('createTime','createtime','创建时间', this);
    }
}

@Singleton 
class UuidMappingModelMU extends TableUtilImpl<UuidMappingModelCU,UuidMappingModel>{ 
    tableName  = 't_ns_1047713_uuid_mapping';
    tableFields  = ['id','tapdId','parkId','uuid','createTime'];
    modelFields  = ['id','tapdid','parkid','uuid','createtime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): UuidMappingModelCU {
        return new UuidMappingModelCUImpl();
    }   

    static get ID(): FieldUtil<UuidMappingModelCU>{ 
        return new FieldUtil('id','id','', new UuidMappingModelCUImpl());
    }
    static get TAPDID(): FieldUtil<UuidMappingModelCU>{ 
        return new FieldUtil('tapdId','tapdid','tapdId', new UuidMappingModelCUImpl());
    }
    static get PARKID(): FieldUtil<UuidMappingModelCU>{ 
        return new FieldUtil('parkId','parkid','车场id', new UuidMappingModelCUImpl());
    }
    static get UUID(): FieldUtil<UuidMappingModelCU>{ 
        return new FieldUtil('uuid','uuid','uuid', new UuidMappingModelCUImpl());
    }
    static get CREATETIME(): FieldUtil<UuidMappingModelCU>{ 
        return new FieldUtil('createTime','createtime','创建时间', new UuidMappingModelCUImpl());
    }

    get ID(): FieldUtil<UuidMappingModelCU>{ 
        return UuidMappingModelMU.ID;
    }
    get TAPDID(): FieldUtil<UuidMappingModelCU>{ 
        return UuidMappingModelMU.TAPDID;
    }
    get PARKID(): FieldUtil<UuidMappingModelCU>{ 
        return UuidMappingModelMU.PARKID;
    }
    get UUID(): FieldUtil<UuidMappingModelCU>{ 
        return UuidMappingModelMU.UUID;
    }
    get CREATETIME(): FieldUtil<UuidMappingModelCU>{ 
        return UuidMappingModelMU.CREATETIME;
    }
}
export {UuidMappingModelMU, UuidMappingModelCU}
